﻿Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
        map.MapTileSource = New cMapTileSourceWms
        InitializeMapExtent()
    End Sub

    Private Sub InitializeMapExtent()

        '   Define world dimensions
        Dim worldTopLeft As New Point(-180, 90)
        Dim worldBottomRight As New Point(180, -90)

        '   Convert Geodetic to Cartesian coordinates
        Dim winTopLeft As Point = map.MapProjection.ProjectToMap(worldTopLeft)
        Dim winBottomRight As Point = map.MapProjection.ProjectToMap(worldBottomRight)

        '   Create Rect structure the map control's WindowRect and WorldRect
        Dim winRect As New Rect()
        winRect.X = Math.Min(winTopLeft.X, winBottomRight.X)
        winRect.Y = Math.Min(winTopLeft.Y, winBottomRight.Y)
        winRect.Width = Math.Abs(winTopLeft.X - winBottomRight.X)
        winRect.Height = Math.Abs(winTopLeft.Y - winBottomRight.Y)

        '   Change the map control's WindowRect and WorldRect
        map.WorldRect = winRect
        map.WindowRect = winRect
    End Sub

End Class